## ros-melodic-cob-hardware-emulation 0.8.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_hardware_emulation)

find_package(catkin REQUIRED COMPONENTS roscpp rosgraph_msgs)
find_package(Boost REQUIRED COMPONENTS thread)

catkin_package(
  CATKIN_DEPENDS rosgraph_msgs
  DEPENDS Boost
)

include_directories(${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_executable(emulation_clock src/emulation_clock.cpp)
add_dependencies(emulation_clock ${catkin_EXPORTED_TARGETS})
target_link_libraries(emulation_clock ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS emulation_clock
 ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
 LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
 RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(PROGRAMS
  scripts/emulation_base.py
  scripts/emulation_clock.py
  scripts/emulation_follow_joint_trajectory.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-cob-hardware-emulation (0.8.12-1stretch) stretch; urgency=high

  * Merge pull request #243 <https://github.com/ipa320/cob_control/issues/243> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #244 <https://github.com/ipa320/cob_control/issues/244> from lindemeier/bugfix/length-bug
    [melodic] bugfix/length-bug
  * sets correct length and checks for length
  * Merge pull request #240 <https://github.com/ipa320/cob_control/issues/240> from benmaidel/feature/base_emu_reset_odom_melodic
    reset odometry service for base emulation
  * reset odometry service for base emulation
  * Contributors: Benjamin Maidel, Felix Messmer, fmessmer, tsl

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Tue, 20 Oct 2020 22:00:00 -0000

ros-melodic-cob-hardware-emulation (0.8.11-1stretch) stretch; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Fri, 20 Mar 2020 23:00:00 -0000

ros-melodic-cob-hardware-emulation (0.8.10-1stretch) stretch; urgency=high

  * Merge pull request #236 <https://github.com/ipa320/cob_control/issues/236> from fmessmer/melodic/emulation_clock_cpp
    [melodic] add emulation_clock publisher - cpp variant
  * fix boost timer + use dt_ms
  * use boost timer
  * configurable emulation dt
  * add emulation_clock publisher - cpp variant
  * Merge pull request #234 <https://github.com/ipa320/cob_control/issues/234> from fmessmer/emulation_custom_clock_melodic
    [melodic] add emulation_clock publisher
  * implement emulation_clock with timer callback
  * add emulation_clock publisher
  * Merge pull request #228 <https://github.com/ipa320/cob_control/issues/228> from fmessmer/feature/python3_compatibility_melodic
    [ci_updates] pylint + Python3 compatibility - melodic
  * fix pylint errors
  * python3 compatibility via 2to3
  * Merge pull request #226 <https://github.com/ipa320/cob_control/issues/226> from fmessmer/ci_updates_melodic
    [travis] ci updates - melodic
  * catkin_lint fixes
  * remove outdated script
  * Contributors: Felix Messmer, Loy van Beek, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-hardware-emulation (0.8.1-1stretch) stretch; urgency=high

  * Merge branch 'kinetic_dev' of github.com:ipa320/cob_control into melodic_dev
  * add CHANGELOG for cob_hardware_emulation
  * Merge pull request #221 <https://github.com/ipa320/cob_control/issues/221> from fmessmer/post_vacation_qa
    [WIP] post vacation qa
  * fix missing dependencies
  * Merge pull request #218 <https://github.com/ipa320/cob_control/issues/218> from floweisshardt/fix/emulator
    catch zero division if two trajectory points have the same time_from_start
  * catch zero division if two trajectory points have the same time_from_start
  * Merge pull request #217 <https://github.com/ipa320/cob_control/issues/217> from floweisshardt/emulator
    initialpose from yaml file for base emulator
  * initialpose from yaml file for base emulator
  * Merge pull request #216 <https://github.com/ipa320/cob_control/issues/216> from benmaidel/feature/base_emulation_initialpose
    add initialpose to emulation_base
  * Merge pull request #215 <https://github.com/ipa320/cob_control/issues/215> from lindemeier/feature/1238-joint-trajectory-controller-emulator-linear-interpolation
    Feature/1238 joint trajectory controller emulator linear interpolation
  * 1238 Setting joint velocity and effort to zero after eaching final trajectory point
  * reset odom on initialpose
  * syntax fixes
  * 1238 added  service reset
  * 1238 joint velocities added
  * 1238 adding preempt polling
    1238 readme adjusted and small improvements
  * add initialpose to emulation_base
  * 1238 linear interpolation of joint states sampling the given trajectory
    1238 lerping start and goal works
    1238 Fixed error in lerp
    1238 using only local time segments for computing the interpolation weight
    1238 added more comments
  * 1238 replacing timer with rospy loop rate
    + publishing joint_states with 10Hz controlled by loop rate instead of timer
  * Merge pull request #214 <https://github.com/ipa320/cob_control/issues/214> from floweisshardt/feature/emulator_base
    emulator base can be used with real navigation
  * migrate tf to tf2
  * emulator base can be used with real navigation
  * Merge pull request #212 <https://github.com/ipa320/cob_control/issues/212> from floweisshardt/emulator
    initial version of move_base emulator
  * review comments
  * initial version of move_base emulator
  * Merge pull request #211 <https://github.com/ipa320/cob_control/issues/211> from ipa320/emulator
    add hardware_emulation package
  * add hardware_emulation package
  * Contributors: Benjamin Maidel, Felix Messmer, Florian Weisshardt, Thomas Lindemeier, floweisshardt, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-cob-hardware-emulation (0.8.0-1stretch) stretch; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Thu, 08 Aug 2019 22:00:00 -0000

ros-melodic-cob-hardware-emulation (0.7.8-1stretch) stretch; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Thu, 08 Aug 2019 22:00:00 -0000

ros-melodic-cob-hardware-emulation (0.7.7-1stretch) stretch; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-cob-hardware-emulation (0.7.6-1stretch) stretch; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-cob-hardware-emulation (0.7.5-1stretch) stretch; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Sun, 19 May 2019 22:00:00 -0000

ros-melodic-cob-hardware-emulation (0.7.4-1stretch) stretch; urgency=high





=== debian/control ===
Source: ros-melodic-cob-hardware-emulation
Section: misc
Priority: optional
Maintainer: Florian Weisshardt <florian.weisshardt@mojin-robotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-rosgraph-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-cob-hardware-emulation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-control-msgs, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-rosgraph-msgs, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-srvs, ros-melodic-tf-conversions, ros-melodic-tf2-ros
Description: The cob_hardware_emulation package provides idealized nodes emulating real robot hardware and/or physics simulation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cob-hardware-emulation//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
